> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing crypto return policy



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json put /crypto_return_policies/{policyID}
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /crypto_return_policies/{policyID}:
    parameters:
      - name: policyID
        in: path
        required: true
        schema:
          type: string
    put:
      tags:
        - Crypto Return Policies
      summary: Update an existing crypto return policy
      requestBody:
        description: Crypto return policy object to be updated
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostCryptoReturnPoliciesInput'
      responses:
        '200':
          description: Crypto return policy updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CryptoReturnPolicy'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  schemas:
    PostCryptoReturnPoliciesInput:
      type: object
      properties:
        refund_destination_address:
          type: string
          description: >-
            The address to which the refund will be sent. Required if the
            strategy is `static_address`, but must be unset if the strategy is
            `refund_to_sender`.
        refund_destination_blockchain_memo:
          type: string
          description: >-
            The memo to include with the refund transaction. Must be unset if
            the strategy is `refund_to_sender`.
        refund_destination_chain:
          type: string
          description: >-
            The blockchain on which the refund will be sent. Required if the
            strategy is `static_address`, but must be unset if the strategy is
            `refund_to_sender`.
        refund_destination_currency:
          type: string
          description: >-
            The currency to which the refund will be sent. Required if the
            strategy is `static_address`, but must be unset if the strategy is
            `refund_to_sender`.
        strategy:
          type: string
          description: >-
            The strategy to use for the refund. Can be `refund_to_sender` or
            `static_address`. We only support multiple policies for
            `static_address`; different strategies cannot have multiple
            policies. If multiple `static_address` policies exist, the policy
            that matches both the currency and chain will be used first. If no
            such policy is found, the policy that matches only the currency will
            be used instead.
    CryptoReturnPolicy:
      type: object
      properties:
        id:
          type: string
        developer_id:
          type: string
        refund_destination_address:
          type: string
        refund_destination_blockchain_memo:
          type: string
        refund_destination_chain:
          type: string
        refund_destination_currency:
          type: string
        strategy:
          type: string
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    NotFoundError:
      description: No resource found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            NotFoundErrorExample:
              summary: Invalid customer id
              value:
                code: Invalid
                message: Unknown customer id
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````